module UserCenter
  module Services
    module Wx
      class ExternalContactService
        attr_accessor :org

        def initialize(org)
          @org = org
        end

        def get_external_contact(external_userid)
          opts = {
            oid: org.oid,
            externalUserid: external_userid
          }

          Trans::HttpHandler.get(Trans::Router.get_external_contact_url, opts)
        end

      end
    end
  end
end